# IAX2IeCallingName Class Reference

`#include <ies.h>`

Inheritance diagram for IAX2IeCallingName:

[legend]
Collaboration diagram for IAX2IeCallingName:
[legend]

## Public Member Functions

| IAX2IeCallingName (BYTE length, BYTE *srcData)
| IAX2IeCallingName (const PString &newValue)
virtual void | PrintOn (ostream &str) const
virtual BYTE | GetKeyValue () const
virtual void | StoreDataIn (IAX2IeData &res)

## Detailed Description

An Information Element that contains name of the the person making the call

## Constructor & Destructor Documentation

IAX2IeCallingName::IAX2IeCallingName | ( | BYTE | length,
|  | BYTE * | srcData |
| ) |  |  | `[inline]`

Constructor from data read from the network.

Contents are undefined if the network data is bogus/invalid

IAX2IeCallingName::IAX2IeCallingName | ( | const PString & | newValue | ) | `[inline]`

Initialise to the supplied string value

## Member Function Documentation

virtual BYTE IAX2IeCallingName::GetKeyValue | ( |  | ) | const`[inline, virtual]`

Get the key value for this particular Information Element class

Reimplemented from IAX2Ie.

virtual void IAX2IeCallingName::PrintOn | ( | ostream & | str | ) | const`[virtual]`

print this class (nicely) to the designated stream

Reimplemented from IAX2IeString.

virtual void IAX2IeCallingName::StoreDataIn | ( | IAX2IeData & | res | ) | `[inline, virtual]`

Take the data from this IAX2Ie, and copy it into the IAX2IeData structure. This is done on processing an incoming frame which contains IAX2Ie in the data section.

Reimplemented from IAX2Ie.

The documentation for this class was generated from the following file:

- ies.h